curl --request GET \
--url 'https://edi.stateset.com/v1/outbox' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entity_type": "string",
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"occurred_at": "2026-08-31T14:22:05Z",
"payload": {},
"signature": "sha256:9f86d081884c7d659a2feaa0c55ad015"
}
]
Outbox
Pending VES events
GET
/
v1
/
outbox
curl --request GET \
--url 'https://edi.stateset.com/v1/outbox' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entity_type": "string",
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"occurred_at": "2026-08-31T14:22:05Z",
"payload": {},
"signature": "sha256:9f86d081884c7d659a2feaa0c55ad015"
}
]
Response
EdiEvent[] — each element:
string
required
string
required
string
required
string
required
string (date-time)
required
object
required
string
Ed25519 signature (hex) over the canonical event message. Absent when signing is disabled. See [
crate::signing].Status codes
| Code | Meaning |
|---|---|
200 | Pending VES events |
403 | Admin credential required |
curl --request GET \
--url 'https://edi.stateset.com/v1/outbox' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entity_type": "string",
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"occurred_at": "2026-08-31T14:22:05Z",
"payload": {},
"signature": "sha256:9f86d081884c7d659a2feaa0c55ad015"
}
]
Last modified on August 31, 2026